wxSQLite3 3.3.0

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxSQLite3BackupProgress Class Reference

Interface for a user defined backup progress function. More...

`#include <wxsqlite3.h>`

## Public Member Functions
| wxSQLite3BackupProgress ()
| Default constructor. More...
virtual | ~wxSQLite3BackupProgress ()
| Virtual destructor. More...
virtual bool | Progress (int WXUNUSED(totalPages), int WXUNUSED(remainingPages))
| Execute the backup progress callback. More...

## Detailed Description

Interface for a user defined backup progress function.

## Constructor & Destructor Documentation

wxSQLite3BackupProgress::wxSQLite3BackupProgress | ( |  | ) |
| inline

Default constructor.

virtual wxSQLite3BackupProgress::~wxSQLite3BackupProgress | ( |  | ) |
| inline virtual

Virtual destructor.

## Member Function Documentation

virtual bool wxSQLite3BackupProgress::Progress | ( | int | WXUNUSEDtotalPages,
|  | int | WXUNUSEDremainingPages
| ) |  |
| inline virtual

Execute the backup progress callback.

This method allows an application to display information about the progress of a backup operation to the user.

Parameters

  totalPages | total number of pages to copy
  remainingPages | number of pages remaining to be copied

Returns
  TRUE if backup should continue, FALSE otherwise

The documentation for this class was generated from the following file:

- wxsqlite3.h